Bug 503662 - Review Request: saab-fonts - OTF Saab Punjabi Font
Summary: Review Request: saab-fonts - OTF Saab Punjabi Font
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 230182
TreeView+ depends on / blocked
 
Reported: 2009-06-02 04:04 UTC by A S Alam
Modified: 2013-07-03 00:52 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-04 04:56:31 UTC
Type: ---
panemade: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description A S Alam 2009-06-02 04:04:10 UTC
Spec URL: http://aalam.fedorapeople.org/punjabi-fonts/saab/saab-fonts.spec
SRPM URL: http://aalam.fedorapeople.org/punjabi-fonts/saab/saab-fonts-0.91-1.fc11.src.rpm
Description: 
This package provides a free OpenType Punjabi (Gurmukhi) font. Developed by Bhupinder Singh. 
http://guca.sourceforge.net/typography/fonts/saab/

Comment 1 Parag AN(पराग) 2009-06-02 08:34:59 UTC
+ koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1388894
+ rpmlint is silent
- seems /usr/share/fonts/saab is created twice so remove following line from SPEC
%dir %{_fontdir}
+ verified upstream source as
aa8a32819d51b701a1d45a674d17432937f06ac3  saab.0.91.zip
+ Otherwise following fonts packaging guidelines.

Should:
1) SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. 


APPROVED.

Comment 2 A S Alam 2009-06-02 09:01:37 UTC
Thanks

Comment 3 A S Alam 2009-06-02 09:04:11 UTC
New Package CVS Request
=======================
Package Name: saab-fonts
Short Description: Punjabi OTF fonts
Owners: aalam
Branches: F-11
InitialCC: fonts-sig

Comment 4 Jason Tibbitts 2009-06-02 21:30:25 UTC
CVS done.

Comment 5 A S Alam 2009-06-03 03:47:32 UTC
Thanks a lot.
Package is build for devel and F-11. It is available on koji.

Comment 6 A S Alam 2009-06-03 03:52:22 UTC
Thanks a lot.
Package is build for devel and F-11. It is available on koji.
http://koji.fedoraproject.org/koji/packageinfo?packageID=8550

Comment 7 Nicolas Mailhot 2009-06-03 06:46:42 UTC
I'm a bit late but anyway:

1.  adding a fontconfig file to the package would be nice so it's substituted correctly

2. it would have been nicer to name the font guca-saab-fonts as per guidelines. If guca ever publishes another font the package will need to be renamed (not a blocker in the meanwhile)

Comment 8 A S Alam 2009-06-03 09:40:50 UTC
I have update SPEC file as well fontconfig file.
SPEC file:
http://aalam.fedorapeople.org/punjabi-fonts/saab/saab-fonts.spec
SRPM:
http://aalam.fedorapeople.org/punjabi-fonts/saab/saab-fonts-0.91-2.fc11.src.rpm

Can you please check whether it will work or not?
Thanks

Comment 9 Nicolas Mailhot 2009-06-08 14:00:30 UTC
(In reply to comment #8)

> Can you please check whether it will work or not?

1. Unless saab is derived from lohit punjabi and they have the same look and metrics I'd really not include

  <alias binding="same">
    <family>Lohit Punjabi</family>
    <accept>
      <family>Saab</family>
    </accept>
  </alias>

2. The 90 priority is safe, but very conservative. I'd discuss with the Lohit people and i18n if Saab could not be bumped a little.

3. Please cc the fonts list on fonts review so the right people get cc-ed

4. Please also check you didn't miss any step in
http://fedoraproject.org/wiki/Font_package_lifecycle

Comment 10 Parag AN(पराग) 2009-06-08 14:24:27 UTC
thanks Nicolas for your reply. I will check what you have asked above.

Comment 11 Parag AN(पराग) 2009-07-14 10:58:21 UTC
Lohit Punjabi and Saab font are different fonts. What benefits will be after bumping conf file priority to 91?

so new conf file will be
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE fontconfig SYSTEM "../fonts.dtd">
<fontconfig>
  <alias>
    <family>sans-serif</family>
    <prefer>
      <family>Saab</family>
    </prefer>
  </alias>
  <alias>
    <family>Saab</family>
    <default>
      <family>serif</family>
    </default>
  </alias>
</fontconfig>

Comment 12 Parag AN(पराग) 2009-07-14 11:16:21 UTC
Just discussed with nim-nim. Please use 66 as priority for fontconfig file.

Comment 13 Parag AN(पराग) 2009-08-04 10:08:32 UTC
Hi,
  You can use following SRPM to update fontconfig file in cvs.
http://paragn.fedorapeople.org/saab-fonts-0.91-3.fc12.src.rpm

Comment 14 A S Alam 2009-09-04 04:56:31 UTC
Build for Rawhide. Closing Bug


Note You need to log in before you can comment on or make changes to this bug.